%if 0%{?fedora} < 15
%global use_capnetraw 0
%else
%global use_capnetraw 1
%endif

Name: fping
Version: 3.0
Release: 1%{?dist}
Summary: Scriptable, parallelized ping-like utility
Group: Applications/Internet
License: BSD with advertising
URL: http://www.fping.org/
Source0: http://fping.org/dist/%{name}-%{version}.tar.gz
Patch0: fping-3.0-capnetraw.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
fping is a ping-like program which can determine the accessibility of
multiple hosts using ICMP echo requests. fping is designed for parallelized
monitoring of large numbers of systems, and is developed with ease of
use in scripting in mind.

%prep
%setup -q -n %{name}-%{version}
%if 0%{?use_capnetraw}
%patch0 -p1 -b .capnetraw
%endif

%build
%configure
make CFLAGS="-DIPV6 %{?use_capnetraw:-DENABLE_F_OPTION} $RPM_OPT_FLAGS"
mv fping fping6

make clean
make CFLAGS="%{?use_capnetraw:-DENABLE_F_OPTION} $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install
install -p -m 4755 fping6 "$RPM_BUILD_ROOT"/%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%if 0%{?use_capnetraw}
%attr(0755,root,root) %caps(cap_net_raw=ep) %{_sbindir}/fping
%attr(0755,root,root) %caps(cap_net_raw=ep) %{_sbindir}/fping6
%else
%attr(4711,root,root) %{_sbindir}/fping
%attr(4711,root,root) %{_sbindir}/fping6
%endif
%{_mandir}/man8/*

%changelog
* Sat Feb 18 2012 Charles R. Anderson <cra@wpi.edu> - 3.0-1
- fping-3.0 based on new upstream at http://www.fping.org/
  - Debian patches until version 2.4b2-to-ipv6-16.
  - Modifications by Tobias Oetiker for SmokePing (2.4b2-to4)
  - Reimplemented main loop for improved performance

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4b2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Sep 04 2011 Charles R. Anderson <cra@wpi.edu> - 2.4b2-12
- remove SUID and add CAP_NET_RAW instead on Fedora 15 and newer (rhbz#646466)
- allow -f option for non-root on Fedora 15 and newer
- remove read permissions on binaries for Fedora 14 and older

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4b2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4b2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4b2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 15 2008 Chris Ricker <kaboom@oobleck.net> 2.4b2-8
- Rebuild for GCC 4.3
- Fix license

* Mon Sep 11 2006 Chris Ricker <kaboom@oobleck.net> 2.4b2-7
- Bump and rebuild

* Tue Feb 14 2006 Chris Ricker <kaboom@oobleck.net> 2.4b2-6
- Bump and rebuild

* Wed Jun 29 2005 Chris Ricker <kaboom@oobleck.net> 2.4b2-5
- Clean up changelog and tags

* Wed Jun 01 2005 Chris Ricker <kaboom@oobleck.net> 2.4b2-4
- Bump release and build

* Wed Jun 01 2005 Chris Ricker <kaboom@oobleck.net> 2.4b2-3
- Add dist tag

* Mon May 16 2005 Chris Ricker <kaboom@oobleck.net> 2.4b2-3
- Simplify doc packaging (Matthias Saou)
- Simplify clean (Matthias Saou)
- Don't strip fping6 binary (Matthias Saou)
- Preserve timestamps

* Wed May 11 2005 Chris Ricker <kaboom@oobleck.net> 2.4b2-2
- Fix URL and Source locations

* Wed Mar 23 2005 Chris Ricker <kaboom@oobleck.net> 2.4b2-1
- Initial package for Fedora
- IPv6 patches from Herbert Xu (Debian)
